      function addln(aln,bln) ! bernd berg, aug 20 2003.
c given ln(a) and ln(b), the function returns ln(c) with c=a+b.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      addln=max(aln,bln)+log(one+exp(-abs(aln-bln)))
      return
      end


